unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LR_Class, LR_View, LR_DBSet, LR_Desgn, LR_E_HTM,
  lr_e_cairo, Forms, Controls, Graphics, Dialogs, StdCtrls, DbCtrls, DBGrids,
  IniPropStorage, lr_e_pdf, ZConnection, ZDataset, ZSqlUpdate, IBConnection,
  sqldb, db;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    frDBDataSet1: TfrDBDataSet;
    frDesigner1: TfrDesigner;
    frHTMExport1: TfrHTMExport;
    frReport1: TfrReport;
    frTNPDFExport1: TfrTNPDFExport;
    IniPropStorage1: TIniPropStorage;
    lrCairoExport1: TlrCairoExport;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    ZQuery1DEPT_NO: TStringField;
    ZQuery1EMP_NO: TSmallintField;
    ZQuery1FIRST_NAME: TStringField;
    ZQuery1FULL_NAME: TStringField;
    ZQuery1HIRE_DATE: TDateTimeField;
    ZQuery1JOB_CODE: TStringField;
    ZQuery1JOB_COUNTRY: TStringField;
    ZQuery1JOB_GRADE: TSmallintField;
    ZQuery1LAST_NAME: TStringField;
    ZQuery1PHONE_EXT: TStringField;
    ZQuery1SALARY: TFloatField;
    ZUpdateSQL1: TZUpdateSQL;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure IniPropStorage1RestoreProperties(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  frReport1.ShowReport;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  frReport1.DesignReport;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  //frReport1.ExportTo(TfrHTMExportFilter, 'test.html');
  frReport1.PrepareReport;
  frReport1.ExportTo(TfrTNPDFExportFilter, 'test.pdf');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if frReport1.PrepareReport then
     frReport1.ExportTo(TfrHTMExportFilter, 'test.html');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  frReport1.PrepareReport;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
     if frReport1.PrepareReport then
     frReport1.ExportTo(TlrCairoExportFilter, 'test.pdf');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  frReport1.LoadFromFile('project1.lrf');
end;

procedure TForm1.IniPropStorage1RestoreProperties(Sender: TObject);
begin

end;

end.

